Class | Sequel::Informix::Database
In: | lib/sequel/adapters/informix.rb
Parent: | Sequel::Database

### Methods

connect dataset do execute execute_dui query

### Constants

TEMPORARY | = | 'TEMP '.freeze

### Public Instance methods

connect(server)

[Source]

        # File lib/sequel/adapters/informix.rb, line 10
    10:       def connect(server)
    11:         opts = server_opts(server)
    12:         ::Informix.connect(opts[:database], opts[:user], opts[:password])
    13:       end

dataset(opts = nil)

[Source]

        # File lib/sequel/adapters/informix.rb, line 15
    15:       def dataset(opts = nil)
    16:         Sequel::Informix::Dataset.new(self, opts)
    17:       end

do(sql, opts={})

Alias for execute_dui

execute(sql, opts={}) {|log_yield(sql){c.cursor(sql)}}| ...}

[Source]

        # File lib/sequel/adapters/informix.rb, line 25
    25:       def execute(sql, opts={})
    26:         synchronize(opts[:server]){|c| yield log_yield(sql){c.cursor(sql)}}
    27:       end

execute_dui(sql, opts={})

Returns number of rows affected

[Source]

        # File lib/sequel/adapters/informix.rb, line 20
    20:       def execute_dui(sql, opts={})
    21:         synchronize(opts[:server]){|c| log_yield(sql){c.immediate(sql)}}
    22:       end

query(sql, opts={})

Alias for execute

[Validate]